package com.ruoyi.supplier.mapper;

import java.util.List;
import com.ruoyi.supplier.domain.TCanteenRating;

/**
 * 评价Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public interface TCanteenRatingMapper 
{
    /**
     * 查询评价
     * 
     * @param rateId 评价主键
     * @return 评价
     */
    public TCanteenRating selectTCanteenRatingByRateId(Long rateId);

    /**
     * 查询评价列表
     * 
     * @param tCanteenRating 评价
     * @return 评价集合
     */
    public List<TCanteenRating> selectTCanteenRatingList(TCanteenRating tCanteenRating);

    /**
     * 新增评价
     * 
     * @param tCanteenRating 评价
     * @return 结果
     */
    public int insertTCanteenRating(TCanteenRating tCanteenRating);

    /**
     * 修改评价
     * 
     * @param tCanteenRating 评价
     * @return 结果
     */
    public int updateTCanteenRating(TCanteenRating tCanteenRating);

    /**
     * 删除评价
     * 
     * @param rateId 评价主键
     * @return 结果
     */
    public int deleteTCanteenRatingByRateId(Long rateId);

    /**
     * 批量删除评价
     * 
     * @param rateIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCanteenRatingByRateIds(Long[] rateIds);
}
